#ifndef STRINGMAP_H
#define STRINGMAP_H

#include "common/stringmap.h"
#include <stdbool.h>
#include <stddef.h>

typedef struct StringMapEntry {
	bool deleted;
	size_t key_hash, value;
} StringMapEntry;

struct StringMap {
	StringMapEntry* data;
	size_t length, capacity;
};

void stringmap_create(StringMap* map);
void stringmap_destroy(StringMap* map);

#endif
